JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mailboxes = await client.mailboxes.list();
console.log(mailboxes.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
mailboxes = client.mailboxes.list()
print(mailboxes.items)curl --request GET \
--url https://api.mobilerun.ai/mailboxes \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"address": "mx_7k3q9p2m4v8d@inbox.example",
"billingMode": "rent",
"cancelAtPeriodEnd": true,
"checkoutExpiresAt": "2023-11-07T05:31:56Z",
"checkoutUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundMessages": {
"exhausted": true,
"included": 1,
"resetsAt": "2023-11-07T05:31:56Z",
"used": 1
},
"label": "<string>",
"status": "provisioning"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
}
}Mailboxes
List mailboxes
Lists the caller-owned mailboxes with page-based pagination.
GET
/
mailboxes
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const mailboxes = await client.mailboxes.list();
console.log(mailboxes.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
mailboxes = client.mailboxes.list()
print(mailboxes.items)Was this page helpful?
⌘I